Name:       log4c
Version:    1.2.4
Release:    1%{?dist}
Summary:    Library for logging application messages

License:    LGPLv2+
URL:        http://log4c.sourceforge.net/
Source0:    http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:     reinit.patch
Patch1:     format.patch

BuildRequires:  gcc-c++
BuildRequires:  doxygen
BuildRequires:  expat-devel
BuildRequires:  gcc
BuildRequires:  make

%description
Log4c is a C language library for flexible logging to files, syslog and other
destinations. It is modeled after the Log for Java library (log4j),
staying as close to their API as is reasonable.


%package devel
Summary:    Header files, libraries and development documentation for %{name}
Requires:   %{name} = %{version}-%{release}

%description devel
Log4c is a C language library for flexible logging to files, syslog and other
destinations. It is modeled after the Log for Java library (log4j),
staying as close to their API as is reasonable.

This package contains development files for %{name}. If you like to develop
programs using %{name}, you will need to install %{name}-devel.

%package doc
Summary:    Documentation for %{name}
BuildArch:  noarch

%description doc
Log4c is a C language library for flexible logging to files, syslog and other
destinations. It is modeled after the Log for Java library (log4j),
staying as close to their API as is reasonable.

This package contains %{name} documentation.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --enable-doc --enable-test --disable-static
make %{?_smp_mflags}

%install
make install docdir=%{_pkgdocdir} DESTDIR=%{buildroot}
mv %{buildroot}/etc/log4crc.sample %{buildroot}%{_pkgdocdir}/
rm %{buildroot}%{_libdir}/*.la
sed -r -i \
    -e 's|^libdir=/usr/lib(64)?$|libdir=/usr/lib|' \
    -e 's|-L\$libdir ||' \
    -e 's|-I\$includedir ||' %{buildroot}%{_bindir}/log4c-config


%files
%dir %{_pkgdocdir}/
%license %{_pkgdocdir}/COPYING
%{_pkgdocdir}/AUTHORS
%{_pkgdocdir}/ChangeLog
%{_pkgdocdir}/NEWS
%{_pkgdocdir}/README
%{_pkgdocdir}/log4crc.sample
%{_libdir}/liblog4c.so.3
%{_libdir}/liblog4c.so.3.*

%files devel
%{_libdir}/liblog4c.so
%{_libdir}/pkgconfig/*.pc
%{_bindir}/*
%{_includedir}/*
%{_datadir}/aclocal/log4c.m4
%{_mandir}/man1/*
%{_mandir}/man3/*

%files doc
%{_pkgdocdir}/html/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.4-1
- initial build
